[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Message-Id: <1273466820-9330-10-git-send-email-tzanussi@gmail.com>
Date: Sun, 9 May 2010 23:47:00 -0500
From: Tom Zanussi <tzanussi@...il.com>
To: linux-kernel@...r.kernel.org
Cc: mingo@...e.hu, fweisbec@...il.com, acme@...stprotocols.net
Subject: [PATCH 9/9] perf/trace/scripting: syscall-counts script cleanup
A small fix for the syscall counts script:
- silence the match output in the shell script
Signed-off-by: Tom Zanussi <tzanussi@...il.com>
---
.../perf/scripts/python/bin/syscall-counts-report | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/tools/perf/scripts/python/bin/syscall-counts-report b/tools/perf/scripts/python/bin/syscall-counts-report
index 8c21552..dc076b6 100644
--- a/tools/perf/scripts/python/bin/syscall-counts-report
+++ b/tools/perf/scripts/python/bin/syscall-counts-report
@@ -2,7 +2,7 @@
# description: system-wide syscall counts
# args: [comm]
if [ $# -gt 0 ] ; then
- if ! expr match "$1" "-" ; then
+ if ! expr match "$1" "-" > /dev/null ; then
comm=$1
shift
fi
--
1.6.4.GIT
--
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/
Powered by blists - more mailing lists